<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class catalog="prase" name="com.arrebol.taxiservicios.model.mutual.MutualOut" table="mutual_out">
        <id name="id" type="string">
            <column length="36" name="id"/>
            <generator class="assigned"/>
        </id>
        <property name="payment" type="double">
            <column name="payment" not-null="true"/>
        </property>
        <property name="description" type="string">
            <column length="200" name="description"/>
        </property>
        <property name="type" column="mutual_out_type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.MutualOutType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.core.Person" fetch="select" name="driver" not-null="true">
            <column length="36" name="driver_id"/>
        </many-to-one>
        <many-to-one class="com.arrebol.taxiservicios.model.admin.Taxi" fetch="select" name="taxi" not-null="true">
            <column length="36" name="taxi_id"/>
        </many-to-one>
        <many-to-one class="com.arrebol.taxiservicios.model.core.User" fetch="select" name="createdBy" not-null="true">
            <column length="36" name="created_by"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.core.User" fetch="select" name="lastUpdatedBy">
            <column length="36" name="last_updated_by"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on"/>
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" not-null="true" sql-type="TINYINT"/>
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select" name="location">
            <column length="36" name="id_location" not-null="false"/>
        </many-to-one>
    </class>
</hibernate-mapping>
